Subject: bug#48117: 28.0.50; Update of loaddefs.el during normal build is unreliable

From: Gregory Heytings <[email-masked]>
Date: Fri, 30 Apr 2021 17:32:13 +0000

>> The generated lisp/loaddefs.el file is AFAICS identical to the 
>> lisp/ldefs-boot.el (after calling admin/update_autogen -L), which is 
>> versioned.  Why is the lisp/loaddefs.el generated?
>
> ldefs-boot.el is versioned because it is needed for the initial build of 
> a fresh clone, and it is not identical to loaddefs.el, especially not 
> when you are developing.
>

Can ldefs-boot.el not be used to detect whether loaddefs.el needs to be 
regenerated?  ISTM that if one assumes that ldefs-boot.el is kept up to 
date, it is necessary to regenerate the loaddefs file only when 
ldefs-boot.el becomes more recent than the loaddefs file.  This would 
avoid rebuilding the loaddefs file on each make invocation.